package com.mortals.xhx.module.attendance.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceClassDetailEntity;
/**
* 考勤班次详细信息查询对象
*
* @author zxfei
* @date 2023-04-07
*/
public class AttendanceClassDetailQuery extends AttendanceClassDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 班次ID */
    private Long shiftsIdStart;

    /** 结束 班次ID */
    private Long shiftsIdEnd;

    /** 增加 班次ID */
    private Long shiftsIdIncrement;

    /** 班次ID列表 */
    private List <Long> shiftsIdList;

    /** 班次ID排除列表 */
    private List <Long> shiftsIdNotList;

    /** 班次名称 */
    private List<String> shiftsNameList;

    /** 班次名称排除列表 */
    private List <String> shiftsNameNotList;
    /** 开始 上班打卡时间 */
    private String goWorkDateStart;

    /** 结束 上班打卡时间 */
    private String goWorkDateEnd;

    /** 开始 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateBeforeStart;

    /** 结束 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateBeforeEnd;

    /** 增加 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateBeforeIncrement;

    /** 上班打卡前时间段,单位分钟列表 */
    private List <Integer> goWorkDateBeforeList;

    /** 上班打卡前时间段,单位分钟排除列表 */
    private List <Integer> goWorkDateBeforeNotList;

    /** 开始 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateAfterStart;

    /** 结束 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateAfterEnd;

    /** 增加 上班打卡前时间段,单位分钟 */
    private Integer goWorkDateAfterIncrement;

    /** 上班打卡前时间段,单位分钟列表 */
    private List <Integer> goWorkDateAfterList;

    /** 上班打卡前时间段,单位分钟排除列表 */
    private List <Integer> goWorkDateAfterNotList;

    /** 开始 下班打卡时间 */
    private String offWorkDateStart;

    /** 结束 下班打卡时间 */
    private String offWorkDateEnd;

    /** 开始 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateBeforeStart;

    /** 结束 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateBeforeEnd;

    /** 增加 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateBeforeIncrement;

    /** 下班打卡前时间段,单位分钟列表 */
    private List <Integer> offWorkDateBeforeList;

    /** 下班打卡前时间段,单位分钟排除列表 */
    private List <Integer> offWorkDateBeforeNotList;

    /** 开始 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateAfterStart;

    /** 结束 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateAfterEnd;

    /** 增加 下班打卡前时间段,单位分钟 */
    private Integer offWorkDateAfterIncrement;

    /** 下班打卡前时间段,单位分钟列表 */
    private List <Integer> offWorkDateAfterList;

    /** 下班打卡前时间段,单位分钟排除列表 */
    private List <Integer> offWorkDateAfterNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceClassDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceClassDetailQuery> andConditionList;

    public AttendanceClassDetailQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 班次ID
    * @return shiftsIdStart
    */
    public Long getShiftsIdStart(){
        return this.shiftsIdStart;
    }

    /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public void setShiftsIdStart(Long shiftsIdStart){
        this.shiftsIdStart = shiftsIdStart;
    }

    /**
    * 获取 结束 班次ID
    * @return $shiftsIdEnd
    */
    public Long getShiftsIdEnd(){
        return this.shiftsIdEnd;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public void setShiftsIdEnd(Long shiftsIdEnd){
        this.shiftsIdEnd = shiftsIdEnd;
    }

    /**
    * 获取 增加 班次ID
    * @return shiftsIdIncrement
    */
    public Long getShiftsIdIncrement(){
        return this.shiftsIdIncrement;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public void setShiftsIdIncrement(Long shiftsIdIncrement){
        this.shiftsIdIncrement = shiftsIdIncrement;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdList
    */
    public List<Long> getShiftsIdList(){
        return this.shiftsIdList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public void setShiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdNotList
    */
    public List<Long> getShiftsIdNotList(){
        return this.shiftsIdNotList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdNotList
    */
    public void setShiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
    }


    /**
    * 获取 班次名称
    * @return shiftsNameList
    */
    public List<String> getShiftsNameList(){
        return this.shiftsNameList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public void setShiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
    }

    /**
    * 获取 班次名称
    * @return shiftsNameNotList
    */
    public List<String> getShiftsNameNotList(){
        return this.shiftsNameNotList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameNotList
    */
    public void setShiftsNameNotList(List<String> shiftsNameNotList){
        this.shiftsNameNotList = shiftsNameNotList;
    }

    /**
    * 获取 开始 上班打卡时间
    * @return goWorkDateStart
    */
    public String getGoWorkDateStart(){
        return this.goWorkDateStart;
    }

    /**
    * 设置 开始 上班打卡时间
    * @param goWorkDateStart
    */
    public void setGoWorkDateStart(String goWorkDateStart){
        this.goWorkDateStart = goWorkDateStart;
    }

    /**
    * 获取 结束 上班打卡时间
    * @return goWorkDateEnd
    */
    public String getGoWorkDateEnd(){
        return this.goWorkDateEnd;
    }

    /**
    * 设置 结束 上班打卡时间
    * @param goWorkDateEnd
    */
    public void setGoWorkDateEnd(String goWorkDateEnd){
        this.goWorkDateEnd = goWorkDateEnd;
    }

    /**
    * 获取 开始 上班打卡前时间段,单位分钟
    * @return goWorkDateBeforeStart
    */
    public Integer getGoWorkDateBeforeStart(){
        return this.goWorkDateBeforeStart;
    }

    /**
    * 设置 开始 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeStart
    */
    public void setGoWorkDateBeforeStart(Integer goWorkDateBeforeStart){
        this.goWorkDateBeforeStart = goWorkDateBeforeStart;
    }

    /**
    * 获取 结束 上班打卡前时间段,单位分钟
    * @return $goWorkDateBeforeEnd
    */
    public Integer getGoWorkDateBeforeEnd(){
        return this.goWorkDateBeforeEnd;
    }

    /**
    * 设置 结束 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeEnd
    */
    public void setGoWorkDateBeforeEnd(Integer goWorkDateBeforeEnd){
        this.goWorkDateBeforeEnd = goWorkDateBeforeEnd;
    }

    /**
    * 获取 增加 上班打卡前时间段,单位分钟
    * @return goWorkDateBeforeIncrement
    */
    public Integer getGoWorkDateBeforeIncrement(){
        return this.goWorkDateBeforeIncrement;
    }

    /**
    * 设置 增加 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeIncrement
    */
    public void setGoWorkDateBeforeIncrement(Integer goWorkDateBeforeIncrement){
        this.goWorkDateBeforeIncrement = goWorkDateBeforeIncrement;
    }

    /**
    * 获取 上班打卡前时间段,单位分钟
    * @return goWorkDateBeforeList
    */
    public List<Integer> getGoWorkDateBeforeList(){
        return this.goWorkDateBeforeList;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeList
    */
    public void setGoWorkDateBeforeList(List<Integer> goWorkDateBeforeList){
        this.goWorkDateBeforeList = goWorkDateBeforeList;
    }

    /**
    * 获取 上班打卡前时间段,单位分钟
    * @return goWorkDateBeforeNotList
    */
    public List<Integer> getGoWorkDateBeforeNotList(){
        return this.goWorkDateBeforeNotList;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeNotList
    */
    public void setGoWorkDateBeforeNotList(List<Integer> goWorkDateBeforeNotList){
        this.goWorkDateBeforeNotList = goWorkDateBeforeNotList;
    }


    /**
    * 获取 开始 上班打卡前时间段,单位分钟
    * @return goWorkDateAfterStart
    */
    public Integer getGoWorkDateAfterStart(){
        return this.goWorkDateAfterStart;
    }

    /**
    * 设置 开始 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterStart
    */
    public void setGoWorkDateAfterStart(Integer goWorkDateAfterStart){
        this.goWorkDateAfterStart = goWorkDateAfterStart;
    }

    /**
    * 获取 结束 上班打卡前时间段,单位分钟
    * @return $goWorkDateAfterEnd
    */
    public Integer getGoWorkDateAfterEnd(){
        return this.goWorkDateAfterEnd;
    }

    /**
    * 设置 结束 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterEnd
    */
    public void setGoWorkDateAfterEnd(Integer goWorkDateAfterEnd){
        this.goWorkDateAfterEnd = goWorkDateAfterEnd;
    }

    /**
    * 获取 增加 上班打卡前时间段,单位分钟
    * @return goWorkDateAfterIncrement
    */
    public Integer getGoWorkDateAfterIncrement(){
        return this.goWorkDateAfterIncrement;
    }

    /**
    * 设置 增加 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterIncrement
    */
    public void setGoWorkDateAfterIncrement(Integer goWorkDateAfterIncrement){
        this.goWorkDateAfterIncrement = goWorkDateAfterIncrement;
    }

    /**
    * 获取 上班打卡前时间段,单位分钟
    * @return goWorkDateAfterList
    */
    public List<Integer> getGoWorkDateAfterList(){
        return this.goWorkDateAfterList;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterList
    */
    public void setGoWorkDateAfterList(List<Integer> goWorkDateAfterList){
        this.goWorkDateAfterList = goWorkDateAfterList;
    }

    /**
    * 获取 上班打卡前时间段,单位分钟
    * @return goWorkDateAfterNotList
    */
    public List<Integer> getGoWorkDateAfterNotList(){
        return this.goWorkDateAfterNotList;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterNotList
    */
    public void setGoWorkDateAfterNotList(List<Integer> goWorkDateAfterNotList){
        this.goWorkDateAfterNotList = goWorkDateAfterNotList;
    }


    /**
    * 获取 开始 下班打卡时间
    * @return offWorkDateStart
    */
    public String getOffWorkDateStart(){
        return this.offWorkDateStart;
    }

    /**
    * 设置 开始 下班打卡时间
    * @param offWorkDateStart
    */
    public void setOffWorkDateStart(String offWorkDateStart){
        this.offWorkDateStart = offWorkDateStart;
    }

    /**
    * 获取 结束 下班打卡时间
    * @return offWorkDateEnd
    */
    public String getOffWorkDateEnd(){
        return this.offWorkDateEnd;
    }

    /**
    * 设置 结束 下班打卡时间
    * @param offWorkDateEnd
    */
    public void setOffWorkDateEnd(String offWorkDateEnd){
        this.offWorkDateEnd = offWorkDateEnd;
    }

    /**
    * 获取 开始 下班打卡前时间段,单位分钟
    * @return offWorkDateBeforeStart
    */
    public Integer getOffWorkDateBeforeStart(){
        return this.offWorkDateBeforeStart;
    }

    /**
    * 设置 开始 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeStart
    */
    public void setOffWorkDateBeforeStart(Integer offWorkDateBeforeStart){
        this.offWorkDateBeforeStart = offWorkDateBeforeStart;
    }

    /**
    * 获取 结束 下班打卡前时间段,单位分钟
    * @return $offWorkDateBeforeEnd
    */
    public Integer getOffWorkDateBeforeEnd(){
        return this.offWorkDateBeforeEnd;
    }

    /**
    * 设置 结束 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeEnd
    */
    public void setOffWorkDateBeforeEnd(Integer offWorkDateBeforeEnd){
        this.offWorkDateBeforeEnd = offWorkDateBeforeEnd;
    }

    /**
    * 获取 增加 下班打卡前时间段,单位分钟
    * @return offWorkDateBeforeIncrement
    */
    public Integer getOffWorkDateBeforeIncrement(){
        return this.offWorkDateBeforeIncrement;
    }

    /**
    * 设置 增加 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeIncrement
    */
    public void setOffWorkDateBeforeIncrement(Integer offWorkDateBeforeIncrement){
        this.offWorkDateBeforeIncrement = offWorkDateBeforeIncrement;
    }

    /**
    * 获取 下班打卡前时间段,单位分钟
    * @return offWorkDateBeforeList
    */
    public List<Integer> getOffWorkDateBeforeList(){
        return this.offWorkDateBeforeList;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeList
    */
    public void setOffWorkDateBeforeList(List<Integer> offWorkDateBeforeList){
        this.offWorkDateBeforeList = offWorkDateBeforeList;
    }

    /**
    * 获取 下班打卡前时间段,单位分钟
    * @return offWorkDateBeforeNotList
    */
    public List<Integer> getOffWorkDateBeforeNotList(){
        return this.offWorkDateBeforeNotList;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeNotList
    */
    public void setOffWorkDateBeforeNotList(List<Integer> offWorkDateBeforeNotList){
        this.offWorkDateBeforeNotList = offWorkDateBeforeNotList;
    }


    /**
    * 获取 开始 下班打卡前时间段,单位分钟
    * @return offWorkDateAfterStart
    */
    public Integer getOffWorkDateAfterStart(){
        return this.offWorkDateAfterStart;
    }

    /**
    * 设置 开始 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterStart
    */
    public void setOffWorkDateAfterStart(Integer offWorkDateAfterStart){
        this.offWorkDateAfterStart = offWorkDateAfterStart;
    }

    /**
    * 获取 结束 下班打卡前时间段,单位分钟
    * @return $offWorkDateAfterEnd
    */
    public Integer getOffWorkDateAfterEnd(){
        return this.offWorkDateAfterEnd;
    }

    /**
    * 设置 结束 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterEnd
    */
    public void setOffWorkDateAfterEnd(Integer offWorkDateAfterEnd){
        this.offWorkDateAfterEnd = offWorkDateAfterEnd;
    }

    /**
    * 获取 增加 下班打卡前时间段,单位分钟
    * @return offWorkDateAfterIncrement
    */
    public Integer getOffWorkDateAfterIncrement(){
        return this.offWorkDateAfterIncrement;
    }

    /**
    * 设置 增加 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterIncrement
    */
    public void setOffWorkDateAfterIncrement(Integer offWorkDateAfterIncrement){
        this.offWorkDateAfterIncrement = offWorkDateAfterIncrement;
    }

    /**
    * 获取 下班打卡前时间段,单位分钟
    * @return offWorkDateAfterList
    */
    public List<Integer> getOffWorkDateAfterList(){
        return this.offWorkDateAfterList;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterList
    */
    public void setOffWorkDateAfterList(List<Integer> offWorkDateAfterList){
        this.offWorkDateAfterList = offWorkDateAfterList;
    }

    /**
    * 获取 下班打卡前时间段,单位分钟
    * @return offWorkDateAfterNotList
    */
    public List<Integer> getOffWorkDateAfterNotList(){
        return this.offWorkDateAfterNotList;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterNotList
    */
    public void setOffWorkDateAfterNotList(List<Integer> offWorkDateAfterNotList){
        this.offWorkDateAfterNotList = offWorkDateAfterNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceClassDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceClassDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceClassDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceClassDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceClassDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceClassDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  班次ID
    * @param shiftsId
    */
    public AttendanceClassDetailQuery shiftsId(Long shiftsId){
	    setShiftsId(shiftsId);
		return this;
    }
	
	 /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public AttendanceClassDetailQuery shiftsIdStart(Long shiftsIdStart){
		this.shiftsIdStart = shiftsIdStart;
		return this;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public AttendanceClassDetailQuery shiftsIdEnd(Long shiftsIdEnd){
		this.shiftsIdEnd = shiftsIdEnd;
		return this;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public AttendanceClassDetailQuery shiftsIdIncrement(Long shiftsIdIncrement){
		this.shiftsIdIncrement = shiftsIdIncrement;
		return this;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public AttendanceClassDetailQuery shiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
		return this;
        }

        /**
        * 设置 班次ID
        * @param shiftsIdNotList
        */
        public AttendanceClassDetailQuery shiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
        return this;
        }


	/**
    * 设置 班次名称
    * @param shiftsName
    */
    public AttendanceClassDetailQuery shiftsName(String shiftsName){
        setShiftsName(shiftsName);
		return this;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public AttendanceClassDetailQuery shiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
		return this;
    }


    /**
    * 设置  上班打卡前时间段,单位分钟
    * @param goWorkDateBefore
    */
    public AttendanceClassDetailQuery goWorkDateBefore(Integer goWorkDateBefore){
	    setGoWorkDateBefore(goWorkDateBefore);
		return this;
    }
	
	 /**
    * 设置 开始 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeStart
    */
    public AttendanceClassDetailQuery goWorkDateBeforeStart(Integer goWorkDateBeforeStart){
		this.goWorkDateBeforeStart = goWorkDateBeforeStart;
		return this;
    }

    /**
    * 设置 结束 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeEnd
    */
    public AttendanceClassDetailQuery goWorkDateBeforeEnd(Integer goWorkDateBeforeEnd){
		this.goWorkDateBeforeEnd = goWorkDateBeforeEnd;
		return this;
    }

    /**
    * 设置 增加 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeIncrement
    */
    public AttendanceClassDetailQuery goWorkDateBeforeIncrement(Integer goWorkDateBeforeIncrement){
		this.goWorkDateBeforeIncrement = goWorkDateBeforeIncrement;
		return this;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateBeforeList
    */
    public AttendanceClassDetailQuery goWorkDateBeforeList(List<Integer> goWorkDateBeforeList){
        this.goWorkDateBeforeList = goWorkDateBeforeList;
		return this;
        }

        /**
        * 设置 上班打卡前时间段,单位分钟
        * @param goWorkDateBeforeNotList
        */
        public AttendanceClassDetailQuery goWorkDateBeforeNotList(List<Integer> goWorkDateBeforeNotList){
        this.goWorkDateBeforeNotList = goWorkDateBeforeNotList;
        return this;
        }

    /**
    * 设置  上班打卡前时间段,单位分钟
    * @param goWorkDateAfter
    */
    public AttendanceClassDetailQuery goWorkDateAfter(Integer goWorkDateAfter){
	    setGoWorkDateAfter(goWorkDateAfter);
		return this;
    }
	
	 /**
    * 设置 开始 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterStart
    */
    public AttendanceClassDetailQuery goWorkDateAfterStart(Integer goWorkDateAfterStart){
		this.goWorkDateAfterStart = goWorkDateAfterStart;
		return this;
    }

    /**
    * 设置 结束 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterEnd
    */
    public AttendanceClassDetailQuery goWorkDateAfterEnd(Integer goWorkDateAfterEnd){
		this.goWorkDateAfterEnd = goWorkDateAfterEnd;
		return this;
    }

    /**
    * 设置 增加 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterIncrement
    */
    public AttendanceClassDetailQuery goWorkDateAfterIncrement(Integer goWorkDateAfterIncrement){
		this.goWorkDateAfterIncrement = goWorkDateAfterIncrement;
		return this;
    }

    /**
    * 设置 上班打卡前时间段,单位分钟
    * @param goWorkDateAfterList
    */
    public AttendanceClassDetailQuery goWorkDateAfterList(List<Integer> goWorkDateAfterList){
        this.goWorkDateAfterList = goWorkDateAfterList;
		return this;
        }

        /**
        * 设置 上班打卡前时间段,单位分钟
        * @param goWorkDateAfterNotList
        */
        public AttendanceClassDetailQuery goWorkDateAfterNotList(List<Integer> goWorkDateAfterNotList){
        this.goWorkDateAfterNotList = goWorkDateAfterNotList;
        return this;
        }


    /**
    * 设置  下班打卡前时间段,单位分钟
    * @param offWorkDateBefore
    */
    public AttendanceClassDetailQuery offWorkDateBefore(Integer offWorkDateBefore){
	    setOffWorkDateBefore(offWorkDateBefore);
		return this;
    }
	
	 /**
    * 设置 开始 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeStart
    */
    public AttendanceClassDetailQuery offWorkDateBeforeStart(Integer offWorkDateBeforeStart){
		this.offWorkDateBeforeStart = offWorkDateBeforeStart;
		return this;
    }

    /**
    * 设置 结束 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeEnd
    */
    public AttendanceClassDetailQuery offWorkDateBeforeEnd(Integer offWorkDateBeforeEnd){
		this.offWorkDateBeforeEnd = offWorkDateBeforeEnd;
		return this;
    }

    /**
    * 设置 增加 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeIncrement
    */
    public AttendanceClassDetailQuery offWorkDateBeforeIncrement(Integer offWorkDateBeforeIncrement){
		this.offWorkDateBeforeIncrement = offWorkDateBeforeIncrement;
		return this;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateBeforeList
    */
    public AttendanceClassDetailQuery offWorkDateBeforeList(List<Integer> offWorkDateBeforeList){
        this.offWorkDateBeforeList = offWorkDateBeforeList;
		return this;
        }

        /**
        * 设置 下班打卡前时间段,单位分钟
        * @param offWorkDateBeforeNotList
        */
        public AttendanceClassDetailQuery offWorkDateBeforeNotList(List<Integer> offWorkDateBeforeNotList){
        this.offWorkDateBeforeNotList = offWorkDateBeforeNotList;
        return this;
        }

    /**
    * 设置  下班打卡前时间段,单位分钟
    * @param offWorkDateAfter
    */
    public AttendanceClassDetailQuery offWorkDateAfter(Integer offWorkDateAfter){
	    setOffWorkDateAfter(offWorkDateAfter);
		return this;
    }
	
	 /**
    * 设置 开始 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterStart
    */
    public AttendanceClassDetailQuery offWorkDateAfterStart(Integer offWorkDateAfterStart){
		this.offWorkDateAfterStart = offWorkDateAfterStart;
		return this;
    }

    /**
    * 设置 结束 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterEnd
    */
    public AttendanceClassDetailQuery offWorkDateAfterEnd(Integer offWorkDateAfterEnd){
		this.offWorkDateAfterEnd = offWorkDateAfterEnd;
		return this;
    }

    /**
    * 设置 增加 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterIncrement
    */
    public AttendanceClassDetailQuery offWorkDateAfterIncrement(Integer offWorkDateAfterIncrement){
		this.offWorkDateAfterIncrement = offWorkDateAfterIncrement;
		return this;
    }

    /**
    * 设置 下班打卡前时间段,单位分钟
    * @param offWorkDateAfterList
    */
    public AttendanceClassDetailQuery offWorkDateAfterList(List<Integer> offWorkDateAfterList){
        this.offWorkDateAfterList = offWorkDateAfterList;
		return this;
        }

        /**
        * 设置 下班打卡前时间段,单位分钟
        * @param offWorkDateAfterNotList
        */
        public AttendanceClassDetailQuery offWorkDateAfterNotList(List<Integer> offWorkDateAfterNotList){
        this.offWorkDateAfterNotList = offWorkDateAfterNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceClassDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceClassDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceClassDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceClassDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceClassDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceClassDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceClassDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceClassDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceClassDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceClassDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceClassDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceClassDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceClassDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceClassDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceClassDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceClassDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceClassDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceClassDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}